Package com.arms.api.product_service.pdservice_detail.service

## Interface PdServiceDetail

- All Superinterfaces:
    `TreeService`
  All Known Implementing Classes:
    `PdServiceDetailImpl`

      public interface PdServiceDetail
      extends TreeService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PdServiceDetailEntity` | `addNodeWithGlobalContentsTreeMap​(java.lang.Long pdServiceId, PdServiceDetailEntity pdServiceDetailEntity)` |
    `int` | `deleteAll​(java.lang.Long pdServiceDetailId)` |
    `int` | `deleteFile​(java.lang.Long fileId)` |
    `java.util.List<PdServiceDetailEntity>` | `getNodesByPdService​(java.lang.Long pdServiceId)` |
    `java.util.Set<FileRepositoryEntity>` | `uploadFileForPdServiceNode​(java.lang.Long pdServiceDetailId, org.springframework.web.multipart.MultipartHttpServletRequest multiRequest)` |

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Method Detail

    - #### getNodesByPdService

          java.util.List<PdServiceDetailEntity> getNodesByPdService​(java.lang.Long pdServiceId)
                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addNodeWithGlobalContentsTreeMap

          PdServiceDetailEntity addNodeWithGlobalContentsTreeMap​(java.lang.Long pdServiceId,
                                                                 PdServiceDetailEntity pdServiceDetailEntity)
                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### uploadFileForPdServiceNode

          java.util.Set<FileRepositoryEntity> uploadFileForPdServiceNode​(java.lang.Long pdServiceDetailId,
                                                                         org.springframework.web.multipart.MultipartHttpServletRequest multiRequest)
                                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### deleteFile

          int deleteFile​(java.lang.Long fileId)
                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### deleteAll

          int deleteAll​(java.lang.Long pdServiceDetailId)
                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`